Update a debit account
This operation will update given fields given an account id
curl --request PATCH \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/DEBIT/{id}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"address4": "<string>",
"city": "<string>",
"country": "FIN",
"region": "<string>",
"zipCode": "<string>"
},
"additionalValues": [
{
"key": "<string>",
"value": "<string>"
}
],
"customerId": 55667788990,
"name": "My example account name",
"number": 123456789,
"reason": "<string>",
"usageLimits": [
{
"values": [
{
"reset": true,
"singleAmount": 1000,
"count": 5,
"sumAmount": 1200
}
]
}
]
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/DEBIT/{id}"
payload = {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"address4": "<string>",
"city": "<string>",
"country": "FIN",
"region": "<string>",
"zipCode": "<string>"
},
"additionalValues": [
{
"key": "<string>",
"value": "<string>"
}
],
"customerId": 55667788990,
"name": "My example account name",
"number": 123456789,
"reason": "<string>",
"usageLimits": [{ "values": [
{
"reset": True,
"singleAmount": 1000,
"count": 5,
"sumAmount": 1200
}
] }]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
address1: '<string>',
address2: '<string>',
address3: '<string>',
address4: '<string>',
city: '<string>',
country: 'FIN',
region: '<string>',
zipCode: '<string>'
},
additionalValues: [{key: '<string>', value: '<string>'}],
customerId: 55667788990,
name: 'My example account name',
number: 123456789,
reason: '<string>',
usageLimits: [{values: [{reset: true, singleAmount: 1000, count: 5, sumAmount: 1200}]}]
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/DEBIT/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "061-Usage Limit '24H_RETAIL' Amount Exceeded",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The account id for given account
Query Parameters
The audit user to log the request
Body
The fields that you want to apply to your newly cr, these values will override the predefined template values
Updating set values
Address connected to an account that will override the address set on customer level. This is for example used when sending out statements. Full address object is expected to be set when updating.
Show child attributes
Show child attributes
List of additional key-value pairs that can be associated with the account. Known keys:
- BALC: Balance check configuration. Possible values: true (Shadow Balancing Disabled) or false (Shadow Balancing Enabled)
4Show child attributes
Show child attributes
Customer id for account owner
55667788990
Human readable name of an account
64"My example account name"
Unique account number for given account. Must be numeric if paymentRefence.type defined as MOD10 or FINNISH_7_3_1! Note that selected account numbers might be reserved by Enfuce for internal usage.
64123456789
Reason for contract status change
32Field enables to group an entity into a segment. This field will be exported but no logic is applied to this in Enfuce API
SEGMENT_A, SEGMENT_B, SEGMENT_C, SEGMENT_D, SEGMENT_E, SEGMENT_F Field enables to define entity's closure reason. This field will be exported but no logic is applied to this in Enfuce API
CLOSED1, CLOSED2, CLOSED3, CLOSED4, CLOSED5 Show child attributes
Show child attributes
Number connected to account that will be used to map incoming payments to
Show child attributes
Show child attributes
ACCOUNT_BLOCKED, ACCOUNT_OK, ACCOUNT_TO_CLOSE Response
Successful update of the account
When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.
"061-Usage Limit '24H_RETAIL' Amount Exceeded"
Will contain the ID of the resource that has been created or updated
Was this page helpful?

